# Class DeviceInfo#stopWps

DeviceInfo

- Defined in: deviceInfo.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| DeviceInfo#stopWps(successCallback, errorCallback) Stops WPS (Wifi Protected Setup) operation.

## Class Detail

DeviceInfo#stopWps(successCallback, errorCallback)
Stops WPS (Wifi Protected Setup) operation.

    // Javascript code
    function stopWps () {
      function successCb() {
         console.log("successCb");
      }

      function failureCb(cbObject) {
         var errorCode = cbObject.errorCode;
         var errorText = cbObject.errorText;
         console.log ("Error Code [" + errorCode + "]: " + errorText);
      }

      var deviceInfo = new DeviceInfo();

      deviceInfo.stopWps(successCb, failureCb);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.

Since:
  1.3
See:
  DeviceInfo.startWps()